import type { MediaSchema } from '@byondrnd/showroom-schemas';
declare function hexToRgb(hex: any): {
    r: number;
    g: number;
    b: number;
} | null;
declare function GetHdrUrlFromFile(file: File): string;
declare function GetMediaUrl(media: MediaSchema.IMedia): string;
declare function GetVideoPreviewUrl(media: MediaSchema.IMedia): string;
declare function IsValidModel(fileName: string): boolean;
declare function IsValidModelHdriMap(fileName: string): boolean;
declare function IsValidImage(fileName: string): boolean;
declare function IsValidVideo(fileName: string): boolean;
declare function IsValidSystemFile(fileName: string): boolean;
declare function RGBAtoRGB(r: any, g: any, b: any, a: any, r2?: number, g2?: number, b2?: number): {
    r: number;
    g: number;
    b: number;
};
declare function RGBToHex(R: any, G: any, B: any): string;
declare function IsValidHexColor(str: string): boolean;
declare function IsValidRGBColor(str: string): boolean;
export declare const MediaUtils: {
    GetHdrUrlFromFile: typeof GetHdrUrlFromFile;
    GetVideoPreviewUrl: typeof GetVideoPreviewUrl;
    IsValidModelHdriMap: typeof IsValidModelHdriMap;
    GetMediaUrl: typeof GetMediaUrl;
    IsValidSystemFile: typeof IsValidSystemFile;
    IsValidImage: typeof IsValidImage;
    IsValidModel: typeof IsValidModel;
    IsValidVideo: typeof IsValidVideo;
    hexToRgb: typeof hexToRgb;
    RGBAtoRGB: typeof RGBAtoRGB;
    RGBToHex: typeof RGBToHex;
    IsValidHexColor: typeof IsValidHexColor;
    IsValidRGBColor: typeof IsValidRGBColor;
};
export {};
